Bug 1253519 - [abrt] gnome-software: gs_app_to_string(): gnome-software killed by SIGSEGV
[abrt] gnome-software: gs_app_to_string(): gnome-software killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:295a74b6ac96374ee234bc294d3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 20:40 EDT by Igor Bukanov
Modified: 2015-10-09 02:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: gnome-software-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 02:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (84.27 KB, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: core_backtrace (2.89 KB, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: dso_list (14.53 KB, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: environ (1.59 KB, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: maps (75.66 KB, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: mountinfo (4.26 KB, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: open_fds (2.38 KB, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details
File: var_log_messages (311 bytes, text/plain)
2015-08-13 20:40 EDT, Igor Bukanov
no flags Details

  None (edit)
Description Igor Bukanov 2015-08-13 20:40:35 EDT
Description of problem:
This happenned after I exit when installation of skype failed. With dnf the install required --allowerasing as skype required 32 bit library when corresponding 64 bit was newer. 

Version-Release number of selected component:
gnome-software-3.16.5-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gs_app_to_string
executable:     /usr/bin/gnome-software
global_pid:     2274
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1978

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gs_app_to_string at gs-app.c:170
 #1 gs_shell_details_app_refine_cb at gs-shell-details.c:896
 #2 g_task_return_now at gtask.c:1088
 #3 complete_in_idle_cb at gtask.c:1102
 #7 g_main_context_iteration at gmain.c:3869
 #8 g_application_run at gapplication.c:2308
Comment 1 Igor Bukanov 2015-08-13 20:40:39 EDT
Created attachment 1062840 [details]
File: backtrace
Comment 2 Igor Bukanov 2015-08-13 20:40:40 EDT
Created attachment 1062841 [details]
File: cgroup
Comment 3 Igor Bukanov 2015-08-13 20:40:42 EDT
Created attachment 1062842 [details]
File: core_backtrace
Comment 4 Igor Bukanov 2015-08-13 20:40:43 EDT
Created attachment 1062843 [details]
File: dso_list
Comment 5 Igor Bukanov 2015-08-13 20:40:44 EDT
Created attachment 1062844 [details]
File: environ
Comment 6 Igor Bukanov 2015-08-13 20:40:46 EDT
Created attachment 1062845 [details]
File: limits
Comment 7 Igor Bukanov 2015-08-13 20:40:48 EDT
Created attachment 1062846 [details]
File: maps
Comment 8 Igor Bukanov 2015-08-13 20:40:49 EDT
Created attachment 1062847 [details]
File: mountinfo
Comment 9 Igor Bukanov 2015-08-13 20:40:50 EDT
Created attachment 1062848 [details]
File: namespaces
Comment 10 Igor Bukanov 2015-08-13 20:40:51 EDT
Created attachment 1062849 [details]
File: open_fds
Comment 11 Igor Bukanov 2015-08-13 20:40:53 EDT
Created attachment 1062850 [details]
File: proc_pid_status
Comment 12 Igor Bukanov 2015-08-13 20:40:54 EDT
Created attachment 1062851 [details]
File: var_log_messages
Comment 13 Fedora Update System 2015-10-07 09:20:52 EDT
gnome-software-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0
Comment 14 Fedora Update System 2015-10-07 12:27:08 EDT
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0
Comment 15 Fedora Update System 2015-10-09 02:13:54 EDT
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.